Intermittent testInputConnection | GeckoEventExpecter - blockForEvent timeout: Robocop:JS

RESOLVED FIXED in Firefox 52

Status

()

Firefox for Android
General
P3
normal
RESOLVED FIXED
2 years ago
a year ago

People

(Reporter: KWierso, Assigned: jchen)

Tracking

({intermittent-failure})

Trunk
Firefox 54
intermittent-failure
Points:
---
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox51 wontfix, firefox52 fixed, firefox-esr52 fixed, firefox53 fixed, firefox54 fixed)

Details

Attachments

(1 attachment)

Comment 1

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* fx-team: 2

Platform breakdown:
* android-4-3-armv7-api15: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-03-14&endday=2016-03-20&tree=all

Comment 2

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 7
* try: 1
* fx-team: 1

Platform breakdown:
* android-4-3-armv7-api15: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-03-21&endday=2016-03-27&tree=all
Regression from bug 1255586?
Flags: needinfo?(nchen)

Comment 4

2 years ago
16 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 7
* fx-team: 6
* mozilla-central: 2
* try: 1

Platform breakdown:
* android-4-3-armv7-api15: 16

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-03-28&endday=2016-04-03&tree=all
(Assignee)

Comment 5

2 years ago
I'm npot (In reply to Geoff Brown [:gbrown] from comment #3)
> Regression from bug 1255586?

Not sure. The line that actually caused the timeout is from before bug 1255586?.
Flags: needinfo?(nchen)

Comment 6

2 years ago
19 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 15
* mozilla-central: 3
* fx-team: 1

Platform breakdown:
* android-4-3-armv7-api15: 18
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-04-04&endday=2016-04-10&tree=all

Comment 7

2 years ago
18 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 7
* fx-team: 7
* try: 3
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api15: 18

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-04-11&endday=2016-04-17&tree=all

Comment 8

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 8
* fx-team: 2
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api15: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-04-18&endday=2016-04-24&tree=all

Comment 9

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-central: 1
* mozilla-aurora: 1
* fx-team: 1

Platform breakdown:
* android-4-3-armv7-api15: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-04-25&endday=2016-05-01&tree=all

Comment 10

2 years ago
25 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 19
* mozilla-central: 3
* try: 1
* mozilla-aurora: 1
* fx-team: 1

Platform breakdown:
* android-4-3-armv7-api15: 25

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-05-10&endday=2016-05-16&tree=all

Comment 11

2 years ago
21 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 14
* mozilla-central: 3
* mozilla-aurora: 2
* fx-team: 2

Platform breakdown:
* android-4-3-armv7-api15: 21

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-05-16&endday=2016-05-22&tree=all

Comment 12

2 years ago
13 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 9
* mozilla-aurora: 4

Platform breakdown:
* android-4-3-armv7-api15: 13

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-05-23&endday=2016-05-29&tree=all

Comment 13

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 8
* mozilla-aurora: 3

Platform breakdown:
* android-4-3-armv7-api15: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-05-30&endday=2016-06-05&tree=all

Comment 14

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* try: 2
* mozilla-beta: 1

Platform breakdown:
* android-4-3-armv7-api15: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-06-06&endday=2016-06-12&tree=all

Comment 15

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 4
* mozilla-inbound: 2
* try: 1

Platform breakdown:
* android-4-3-armv7-api15: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-06-20&endday=2016-06-26&tree=all

Comment 16

2 years ago
42 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 24
* autoland: 10
* mozilla-beta: 3
* fx-team: 3
* try: 1
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api15: 42

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-06-27&endday=2016-07-03&tree=all

Comment 17

2 years ago
20 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 10
* autoland: 4
* fx-team: 3
* try: 1
* mozilla-central: 1
* mozilla-beta: 1

Platform breakdown:
* android-4-3-armv7-api15: 20

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-07-06&endday=2016-07-06&tree=all

Comment 18

2 years ago
18 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 9
* fx-team: 4
* autoland: 4
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api15: 18

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-07-07&endday=2016-07-07&tree=all

Comment 19

2 years ago
81 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 36
* fx-team: 13
* autoland: 13
* mozilla-central: 11
* try: 5
* mozilla-beta: 3

Platform breakdown:
* android-4-3-armv7-api15: 81

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-07-04&endday=2016-07-10&tree=all

Comment 20

2 years ago
15 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 9
* autoland: 4
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* android-4-3-armv7-api15: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-07-12&endday=2016-07-12&tree=all

Comment 21

2 years ago
17 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 7
* fx-team: 5
* autoland: 4
* mozilla-beta: 1

Platform breakdown:
* android-4-3-armv7-api15: 17

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-07-13&endday=2016-07-13&tree=all

Comment 22

2 years ago
68 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 29
* autoland: 19
* fx-team: 13
* mozilla-central: 4
* mozilla-beta: 3

Platform breakdown:
* android-4-3-armv7-api15: 68

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-07-11&endday=2016-07-17&tree=all

Comment 23

2 years ago
15 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 6
* autoland: 5
* try: 2
* mozilla-central: 2

Platform breakdown:
* android-4-3-armv7-api15: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-07-22&endday=2016-07-22&tree=all

Comment 24

2 years ago
54 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 21
* mozilla-central: 9
* mozilla-inbound: 8
* mozilla-beta: 6
* try: 5
* fx-team: 5

Platform breakdown:
* android-4-3-armv7-api15: 53
* Win 6.3.9600 x86_64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-07-18&endday=2016-07-24&tree=all

Comment 25

2 years ago
52 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 24
* autoland: 16
* mozilla-central: 7
* fx-team: 3
* try: 1
* mozilla-beta: 1

Platform breakdown:
* android-4-3-armv7-api15: 51
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-07-25&endday=2016-07-31&tree=all

Comment 26

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* try: 2
* mozilla-central: 1
* mozilla-aurora: 1
* fx-team: 1
* autoland: 1

Platform breakdown:
* android-4-3-armv7-api15: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-08-01&endday=2016-08-07&tree=all

Comment 27

2 years ago
21 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 12
* try: 4
* fx-team: 2
* autoland: 2
* mozilla-aurora: 1

Platform breakdown:
* android-4-3-armv7-api15: 21

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-08-08&endday=2016-08-14&tree=all
http://archive.mozilla.org/pub/mobile/tinderbox-builds/fx-team-android-api-15/1470493460/fx-team_ubuntu64_vm_armv7_mobile_test-robocop-4-bm121-tests1-linux64-build36.txt.gz

08:22:48     INFO -  SimpleTest START
08:22:48     INFO -  TEST-START | testInputConnection
08:22:48     INFO -  TEST-PASS | testInputConnection | Robocop tests need the test device screen to be powered on. -
08:22:48     INFO -  TEST-PASS | testInputConnection | Given message occurred for registered event: {"type":"Gecko:Ready"} - Gecko:Ready should equal Gecko:Ready
08:22:48     INFO -  EventExpecter: no longer listening for Gecko:Ready
08:22:48     INFO -  TEST-PASS | testInputConnection | url is not null - /robocop/robocop_input.html should not equal null
08:22:48     INFO -  TEST-PASS | testInputConnection | url is not null - /robocop/robocop_input.html should not equal null
08:22:48     INFO -  TEST-PASS | testInputConnection | The toolbar is not in the editing state -
08:22:48     INFO -  TEST-PASS | testInputConnection | Waiting for Toolbar to enter editing mode. -
08:22:48     INFO -  TEST-PASS | testInputConnection | Waiting for UrlEditText to be input method target. -
08:22:48     INFO -  TEST-PASS | testInputConnection | url is not null - http://mochi.test:8888/tests/robocop/robocop_input.html should not equal null
08:22:48     INFO -  TEST-PASS | testInputConnection | The toolbar is in the editing state -
08:22:48     INFO -  TEST-PASS | testInputConnection | The UrlEditText is the input method target -
08:22:48     INFO -  TEST-PASS | testInputConnection | The toolbar is in the editing state -
08:22:48     INFO -  TEST-PASS | testInputConnection | initiatingAction is not null - org.mozilla.gecko.tests.components.ToolbarComponent$2@41a21340 should not equal null
08:22:48     INFO -  ToolbarTitleTextChangeVerifier: stored title, "".
08:22:48     INFO -  EventExpecter: no longer listening for DOMContentLoaded
08:22:48     INFO -  EventExpecter: no longer listening for DOMTitleChanged
08:22:48     INFO -  ToolbarTitleTextChangeVerifier: state changed to title, "mochi.test:8888/tests/robocop/robocop_input.html".
08:22:48     INFO -  ToolbarTitleTextChangeVerifier: was satisfied.
08:22:48     INFO -  TEST-PASS | testInputConnection | Waiting for Toolbar to exit editing mode. -
08:22:48     INFO -  TEST-PASS | testInputConnection | The url argument is not null - /robocop/robocop_input.html should not equal null
08:22:48     INFO -  TEST-PASS | testInputConnection | url is not null - /robocop/robocop_input.html should not equal null
08:22:48     INFO -  TEST-PASS | testInputConnection | The toolbar is not in the editing state -
08:22:48     INFO -  TEST-PASS | testInputConnection | The Toolbar title is mochi.test:8888/tests/robocop/robocop_input.html - mochi.test:8888/tests/robocop/robocop_input.html should equal mochi.test:8888/tests/robocop/robocop_input.html
08:23:00     INFO -  Dumping ALL the threads!
08:23:00     INFO -  Thread[GeckoANRReporter,5,main]
08:23:00     INFO -  android.os.MessageQueue.nativePollOnce(Native Method)
08:23:00     INFO -  android.os.MessageQueue.next(MessageQueue.java:132)
08:23:00     INFO -  android.os.Looper.loop(Looper.java:124)
08:23:00     INFO -  org.mozilla.gecko.ANRReporter$1.run(ANRReporter.java:101)
08:23:00     INFO -  java.lang.Thread.run(Thread.java:841)
08:23:00     INFO -  Thread[Binder_2,5,main]
08:23:00     INFO -  dalvik.system.NativeStart.run(Native Method)
08:23:00     INFO -  Thread[Thread-93,5,main]
08:23:00     INFO -  dalvik.system.NativeStart.run(Native Method)
08:23:00     INFO -  Thread[Binder_1,5,main]
08:23:00     INFO -  dalvik.system.NativeStart.run(Native Method)
08:23:00     INFO -  Thread[GC,5,system]
08:23:00     INFO -  dalvik.system.NativeStart.run(Native Method)
08:23:00     INFO -  Thread[Picasso-Stats,5,main]
08:23:00     INFO -  android.os.MessageQueue.nativePollOnce(Native Method)
08:23:00     INFO -  android.os.MessageQueue.next(MessageQueue.java:132)
08:23:00     INFO -  android.os.Looper.loop(Looper.java:124)
08:23:00     INFO -  android.os.HandlerThread.run(HandlerThread.java:61)
08:23:00     INFO -  Thread[FinalizerWatchdogDaemon,5,system]
08:23:00     INFO -  java.lang.Object.wait(Native Method)
08:23:00     INFO -  java.lang.Object.wait(Object.java:364)
08:23:00     INFO -  java.lang.Daemons$FinalizerWatchdogDaemon.waitForObject(Daemons.java:230)
08:23:00     INFO -  java.lang.Daemons$FinalizerWatchdogDaemon.run(Daemons.java:207)
08:23:00     INFO -  java.lang.Thread.run(Thread.java:841)
08:23:00     INFO -  Thread[pool-1-thread-1,5,main]
08:23:00     INFO -  java.lang.Object.wait(Native Method)
08:23:00     INFO -  java.lang.Thread.parkFor(Thread.java:1205)
08:23:00     INFO -  sun.misc.Unsafe.park(Unsafe.java:325)
08:23:00     INFO -  java.util.concurrent.locks.LockSupport.park(LockSupport.java:159)
08:23:00     INFO -  java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2019)
08:23:00     INFO -  java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:413)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1013)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1073)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:573)
08:23:00     INFO -  java.lang.Thread.run(Thread.java:841)
08:23:00     INFO -  Thread[JDWP,5,system]
08:23:00     INFO -  dalvik.system.NativeStart.run(Native Method)
08:23:00     INFO -  Thread[Instr: org.mozilla.gecko.FennecInstrumentationTestRunner,5,main]
08:23:00     INFO -  dalvik.system.VMStack.getThreadStackTrace(Native Method)
08:23:00     INFO -  java.lang.Thread.getStackTrace(Thread.java:579)
08:23:00     INFO -  java.lang.Thread.getAllStackTraces(Thread.java:521)
08:23:00     INFO -  org.mozilla.gecko.FennecNativeDriver.logAllStackTraces(FennecNativeDriver.java:317)
08:23:00     INFO -  org.mozilla.gecko.FennecNativeActions$GeckoEventExpecter.blockForEvent(FennecNativeActions.java:96)
08:23:00     INFO -  org.mozilla.gecko.FennecNativeActions$GeckoEventExpecter.blockForEvent(FennecNativeActions.java:81)
08:23:00     INFO -  org.mozilla.gecko.FennecNativeActions$GeckoEventExpecter.blockForEventData(FennecNativeActions.java:145)
08:23:00     INFO -  org.mozilla.gecko.tests.helpers.JavascriptBridge.processPendingMessage(JavascriptBridge.java:178)
08:23:00     INFO -  org.mozilla.gecko.tests.helpers.JavascriptBridge.ensureJavaBridgeLoaded(JavascriptBridge.java:222)
08:23:00     INFO -  org.mozilla.gecko.tests.helpers.JavascriptBridge.sendMessage(JavascriptBridge.java:227)
08:23:00     INFO -  org.mozilla.gecko.tests.helpers.JavascriptBridge.syncCall(JavascriptBridge.java:129)
08:23:00     INFO -  org.mozilla.gecko.tests.testInputConnection.testInputConnection(testInputConnection.java:41)
08:23:00     INFO -  java.lang.reflect.Method.invokeNative(Native Method)
08:23:00     INFO -  java.lang.reflect.Method.invoke(Method.java:525)
08:23:00     INFO -  android.test.InstrumentationTestCase.runMethod(InstrumentationTestCase.java:214)
08:23:00     INFO -  android.test.InstrumentationTestCase.runTest(InstrumentationTestCase.java:199)
08:23:00     INFO -  android.test.ActivityInstrumentationTestCase2.runTest(ActivityInstrumentationTestCase2.java:192)
08:23:00     INFO -  org.mozilla.gecko.tests.BaseRobocopTest.runTest(BaseRobocopTest.java:189)
08:23:00     INFO -  junit.framework.TestCase.runBare(TestCase.java:134)
08:23:00     INFO -  junit.framework.TestResult$1.protect(TestResult.java:115)
08:23:00     INFO -  junit.framework.TestResult.runProtected(TestResult.java:133)
08:23:00     INFO -  junit.framework.TestResult.run(TestResult.java:118)
08:23:00     INFO -  junit.framework.TestCase.run(TestCase.java:124)
08:23:00     INFO -  android.test.AndroidTestRunner.runTest(AndroidTestRunner.java:191)
08:23:00     INFO -  android.test.AndroidTestRunner.runTest(AndroidTestRunner.java:176)
08:23:00     INFO -  android.test.InstrumentationTestRunner.onStart(InstrumentationTestRunner.java:554)
08:23:00     INFO -  org.mozilla.gecko.FennecInstrumentationTestRunner.onStart(FennecInstrumentationTestRunner.java:64)
08:23:00     INFO -  android.app.Instrumentation$InstrumentationThread.run(Instrumentation.java:1701)
08:23:00     INFO -  Thread[Compiler,5,system]
08:23:00     INFO -  dalvik.system.NativeStart.run(Native Method)
08:23:00     INFO -  Thread[Picasso-refQueue,5,main]
08:23:00     INFO -  java.lang.Object.wait(Native Method)
08:23:00     INFO -  java.lang.Object.wait(Object.java:401)
08:23:00     INFO -  java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:102)
08:23:00     INFO -  java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:73)
08:23:00     INFO -  com.squareup.picasso.Picasso$CleanupThread.run(Picasso.java:352)
08:23:00     INFO -  Thread[Binder_3,5,main]
08:23:00     INFO -  dalvik.system.NativeStart.run(Native Method)
08:23:00     INFO -  Thread[pool-2-thread-1,5,main]
08:23:00     INFO -  java.lang.Object.wait(Native Method)
08:23:00     INFO -  java.lang.Thread.parkFor(Thread.java:1205)
08:23:00     INFO -  sun.misc.Unsafe.park(Unsafe.java:325)
08:23:00     INFO -  java.util.concurrent.locks.LockSupport.park(LockSupport.java:159)
08:23:00     INFO -  java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2019)
08:23:00     INFO -  java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:413)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1013)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1073)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:573)
08:23:00     INFO -  java.lang.Thread.run(Thread.java:841)
08:23:00     INFO -  Thread[ReferenceQueueDaemon,5,system]
08:23:00     INFO -  java.lang.Object.wait(Native Method)
08:23:00     INFO -  java.lang.Object.wait(Object.java:364)
08:23:00     INFO -  java.lang.Daemons$ReferenceQueueDaemon.run(Daemons.java:130)
08:23:00     INFO -  java.lang.Thread.run(Thread.java:841)
08:23:00     INFO -  Thread[FinalizerDaemon,5,system]
08:23:00     INFO -  java.lang.Object.wait(Native Method)
08:23:00     INFO -  java.lang.Object.wait(Object.java:401)
08:23:00     INFO -  java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:102)
08:23:00     INFO -  java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:73)
08:23:00     INFO -  java.lang.Daemons$FinalizerDaemon.run(Daemons.java:170)
08:23:00     INFO -  java.lang.Thread.run(Thread.java:841)
08:23:00     INFO -  Thread[ModernAsyncTask #11,5,main]
08:23:00     INFO -  java.lang.Object.wait(Native Method)
08:23:00     INFO -  java.lang.Thread.parkFor(Thread.java:1205)
08:23:00     INFO -  sun.misc.Unsafe.park(Unsafe.java:325)
08:23:00     INFO -  java.util.concurrent.locks.LockSupport.park(LockSupport.java:159)
08:23:00     INFO -  java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2019)
08:23:00     INFO -  java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:413)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1013)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1073)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:573)
08:23:00     INFO -  java.lang.Thread.run(Thread.java:841)
08:23:00     INFO -  Thread[Signal Catcher,5,system]
08:23:00     INFO -  dalvik.system.NativeStart.run(Native Method)
08:23:00     INFO -  Thread[ModernAsyncTask #13,5,main]
08:23:00     INFO -  java.lang.Object.wait(Native Method)
08:23:00     INFO -  java.lang.Thread.parkFor(Thread.java:1205)
08:23:00     INFO -  sun.misc.Unsafe.park(Unsafe.java:325)
08:23:00     INFO -  java.util.concurrent.locks.LockSupport.park(LockSupport.java:159)
08:23:00     INFO -  java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2019)
08:23:00     INFO -  java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:413)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1013)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1073)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:573)
08:23:00     INFO -  java.lang.Thread.run(Thread.java:841)
08:23:00     INFO -  Thread[ModernAsyncTask #21,5,main]
08:23:00     INFO -  java.lang.Object.wait(Native Method)
08:23:00     INFO -  java.lang.Thread.parkFor(Thread.java:1205)
08:23:00     INFO -  sun.misc.Unsafe.park(Unsafe.java:325)
08:23:00     INFO -  java.util.concurrent.locks.LockSupport.park(LockSupport.java:159)
08:23:00     INFO -  java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2019)
08:23:00     INFO -  java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:413)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1013)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1073)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:573)
08:23:00     INFO -  java.lang.Thread.run(Thread.java:841)
08:23:00     INFO -  Thread[Picasso-Idle,5,main]
08:23:00     INFO -  java.lang.Object.wait(Native Method)
08:23:00     INFO -  java.lang.Thread.parkFor(Thread.java:1205)
08:23:00     INFO -  sun.misc.Unsafe.park(Unsafe.java:325)
08:23:00     INFO -  java.util.concurrent.locks.LockSupport.park(LockSupport.java:159)
08:23:00     INFO -  java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2019)
08:23:00     INFO -  java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:413)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1013)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1073)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:573)
08:23:00     INFO -  java.lang.Thread.run(Thread.java:841)
08:23:00     INFO -  com.squareup.picasso.Utils$PicassoThread.run(Utils.java:294)
08:23:00     INFO -  Thread[actionMode,5,main]
08:23:00     INFO -  java.lang.Object.wait(Native Method)
08:23:00     INFO -  java.lang.Object.wait(Object.java:364)
08:23:00     INFO -  java.util.Timer$TimerImpl.run(Timer.java:214)
08:23:00     INFO -  Thread[Timer-0,5,main]
08:23:00     INFO -  java.lang.Object.wait(Native Method)
08:23:00     INFO -  java.lang.Object.wait(Object.java:364)
08:23:00     INFO -  java.util.Timer$TimerImpl.run(Timer.java:214)
08:23:00     INFO -  Thread[main,5,main]
08:23:00     INFO -  android.os.MessageQueue.nativePollOnce(Native Method)
08:23:00     INFO -  android.os.MessageQueue.next(MessageQueue.java:132)
08:23:00     INFO -  android.os.Looper.loop(Looper.java:124)
08:23:00     INFO -  android.app.ActivityThread.main(ActivityThread.java:5103)
08:23:00     INFO -  java.lang.reflect.Method.invokeNative(Native Method)
08:23:00     INFO -  java.lang.reflect.Method.invoke(Method.java:525)
08:23:00     INFO -  com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
08:23:00     INFO -  com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
08:23:00     INFO -  dalvik.system.NativeStart.main(Native Method)
08:23:00     INFO -  Thread[GeckoBackgroundThread,5,main]
08:23:00     INFO -  android.os.MessageQueue.nativePollOnce(Native Method)
08:23:00     INFO -  android.os.MessageQueue.next(MessageQueue.java:132)
08:23:00     INFO -  android.os.Looper.loop(Looper.java:124)
08:23:00     INFO -  org.mozilla.gecko.util.GeckoBackgroundThread.run(GeckoBackgroundThread.java:43)
08:23:00     INFO -  Thread[ModernAsyncTask #18,5,main]
08:23:00     INFO -  java.lang.Object.wait(Native Method)
08:23:00     INFO -  java.lang.Thread.parkFor(Thread.java:1205)
08:23:00     INFO -  sun.misc.Unsafe.park(Unsafe.java:325)
08:23:00     INFO -  java.util.concurrent.locks.LockSupport.park(LockSupport.java:159)
08:23:00     INFO -  java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2019)
08:23:00     INFO -  java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:413)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1013)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1073)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:573)
08:23:00     INFO -  java.lang.Thread.run(Thread.java:841)
08:23:00     INFO -  Thread[ModernAsyncTask #19,5,main]
08:23:00     INFO -  java.lang.Object.wait(Native Method)
08:23:00     INFO -  java.lang.Thread.parkFor(Thread.java:1205)
08:23:00     INFO -  sun.misc.Unsafe.park(Unsafe.java:325)
08:23:00     INFO -  java.util.concurrent.locks.LockSupport.park(LockSupport.java:159)
08:23:00     INFO -  java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2019)
08:23:00     INFO -  java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:413)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1013)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1073)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:573)
08:23:00     INFO -  java.lang.Thread.run(Thread.java:841)
08:23:00     INFO -  Thread[activityMonitorThread,5,main]
08:23:00     INFO -  java.lang.Object.wait(Native Method)
08:23:00     INFO -  java.lang.Object.wait(Object.java:401)
08:23:00     INFO -  android.app.Instrumentation$ActivityMonitor.waitForActivityWithTimeout(Instrumentation.java:550)
08:23:00     INFO -  com.robotium.solo.ActivityUtils$1.run(ActivityUtils.java:152)
08:23:00     INFO -  java.lang.Thread.run(Thread.java:841)
08:23:00     INFO -  Thread[Gecko,5,main]
08:23:00     INFO -  org.mozilla.gecko.mozglue.GeckoLoader.nativeRun(Native Method)
08:23:00     INFO -  org.mozilla.gecko.GeckoThread.run(GeckoThread.java:520)
08:23:00     INFO -  Thread[Picasso-Dispatcher,5,main]
08:23:00     INFO -  android.os.MessageQueue.nativePollOnce(Native Method)
08:23:00     INFO -  android.os.MessageQueue.next(MessageQueue.java:132)
08:23:00     INFO -  android.os.Looper.loop(Looper.java:124)
08:23:00     INFO -  android.os.HandlerThread.run(HandlerThread.java:61)
08:23:00     INFO -  Thread[Picasso-Idle,5,main]
08:23:00     INFO -  java.lang.Object.wait(Native Method)
08:23:00     INFO -  java.lang.Thread.parkFor(Thread.java:1205)
08:23:00     INFO -  sun.misc.Unsafe.park(Unsafe.java:325)
08:23:00     INFO -  java.util.concurrent.locks.LockSupport.park(LockSupport.java:159)
08:23:00     INFO -  java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2019)
08:23:00     INFO -  java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:413)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1013)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1073)
08:23:00     INFO -  java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:573)
08:23:00     INFO -  java.lang.Thread.run(Thread.java:841)
08:23:00     INFO -  com.squareup.picasso.Utils$PicassoThread.run(Utils.java:294)
08:23:00  WARNING -  TEST-UNEXPECTED-FAIL | testInputConnection | GeckoEventExpecter - blockForEvent timeout: Robocop:JS
08:23:12     INFO -  0 ERROR Exception caught during test! - junit.framework.AssertionFailedError: TEST-UNEXPECTED-FAIL | testInputConnection | GeckoEventExpecter - blockForEvent timeout: Robocop:JS
08:23:12     INFO -  	at junit.framework.Assert.fail(Assert.java:50)
08:23:12     INFO -  	at org.mozilla.gecko.FennecMochitestAssert._logMochitestResult(FennecMochitestAssert.java:128)
08:23:12     INFO -  	at org.mozilla.gecko.FennecMochitestAssert.ok(FennecMochitestAssert.java:150)
08:23:12     INFO -  	at org.mozilla.gecko.FennecNativeActions$GeckoEventExpecter.blockForEvent(FennecNativeActions.java:97)
08:23:12     INFO -  	at org.mozilla.gecko.FennecNativeActions$GeckoEventExpecter.blockForEvent(FennecNativeActions.java:81)
08:23:12     INFO -  	at org.mozilla.gecko.FennecNativeActions$GeckoEventExpecter.blockForEventData(FennecNativeActions.java:145)
08:23:12     INFO -  	at org.mozilla.gecko.tests.helpers.JavascriptBridge.processPendingMessage(JavascriptBridge.java:178)
08:23:12     INFO -  	at org.mozilla.gecko.tests.helpers.JavascriptBridge.ensureJavaBridgeLoaded(JavascriptBridge.java:222)
08:23:12     INFO -  	at org.mozilla.gecko.tests.helpers.JavascriptBridge.sendMessage(JavascriptBridge.java:227)
08:23:12     INFO -  	at org.mozilla.gecko.tests.helpers.JavascriptBridge.syncCall(JavascriptBridge.java:129)
08:23:12     INFO -  	at org.mozilla.gecko.tests.testInputConnection.testInputConnection(testInputConnection.java:41)
08:23:12     INFO -  	at java.lang.reflect.Method.invokeNative(Native Method)
08:23:12     INFO -  	at java.lang.reflect.Method.invoke(Method.java:525)
08:23:12     INFO -  	at android.test.InstrumentationTestCase.runMethod(InstrumentationTestCase.java:214)
08:23:12     INFO -  	at android.test.InstrumentationTestCase.runTest(InstrumentationTestCase.java:199)
08:23:12     INFO -  	at android.test.ActivityInstrumentationTestCase2.runTest(ActivityInstrumentationTestCase2.java:192)
08:23:12     INFO -  	at org.mozilla.gecko.tests.BaseRobocopTest.runTest(BaseRobocopTest.java:189)
08:23:12     INFO -  	at junit.framework.TestCase.runBare(TestCase.java:134)
08:23:12     INFO -  	at junit.framework.TestResult$1.protect(TestResult.java:115)
08:23:12     INFO -  	at junit.framework.TestResult.runProtected(TestResult.java:133)
08:23:12     INFO -  	at junit.framework.TestResult.run(TestResult.java:118)
08:23:12     INFO -  	at junit.framework.TestCase.run(TestCase.java:124)
08:23:12     INFO -  	at android.test.AndroidTestRunner.runTest(AndroidTestRunner.java:191)
08:23:12     INFO -  	at android.test.AndroidTestRunner.runTest(AndroidTestRunner.java:176)
08:23:12     INFO -  	at android.test.InstrumentationTestRunner.onStart(InstrumentationTestRunner.java:554)
08:23:12     INFO -  	at org.mozilla.gecko.FennecInstrumentationTestRunner.onStart(FennecInstrumentationTestRunner.java:64)
08:23:12     INFO -  	at android.app.Instrumentation$InstrumentationThread.run(Instrumentation.java:1701)
08:23:12  WARNING -  TEST-UNEXPECTED-FAIL | testInputConnection | Exception caught - junit.framework.AssertionFailedError: TEST-UNEXPECTED-FAIL | testInputConnection | GeckoEventExpecter - blockForEvent timeout: Robocop:JS
08:23:12     INFO -  EventExpecter: no longer listening for Robocop:JS
08:23:12     INFO -  TEST-OK | testInputConnection | took 331677ms
08:23:12     INFO -  TEST-START | Shutdown
08:23:12     INFO -  Passed: 17
08:23:12     INFO -  Failed: 2
08:23:12     INFO -  Todo: 0
08:23:12     INFO -  SimpleTest FINISHED

08:23:28     INFO -  08-06 08:19:57.805 I/Robocop ( 1281): {"message":"","time":1470496797757,"source":"robocop","status":"PASS","test":"testInputConnection","thread":null,"subtest":"The toolbar is not in the editing state","action":"test_status","pid":null}
08:23:28     INFO -  08-06 08:19:58.906 I/Robocop ( 1281): {"message":"mochi.test:8888\/tests\/robocop\/robocop_input.html should equal mochi.test:8888\/tests\/robocop\/robocop_input.html","time":1470496798874,"source":"robocop","status":"PASS","test":"testInputConnection","thread":null,"subtest":"The Toolbar title is mochi.test:8888\/tests\/robocop\/robocop_input.html","action":"test_status","pid":null}
08:23:28     INFO -  08-06 08:20:02.604 E/GeckoConsole( 1281): [JavaScript Error: "The Components object is deprecated. It will soon be removed." {file: "http://mochi.test:8888/tests/robocop/robocop_head.js" line: 16}]
08:23:28     INFO -  08-06 08:20:04.064 E/GeckoConsole( 1281): [JavaScript Error: "NS_ERROR_ILLEGAL_VALUE: " {file: "http://mochi.test:8888/tests/robocop/robocop_input.html" line: 21}]
08:23:28     INFO -  08-06 08:20:04.064 E/GeckoConsole( 1281): @http://mochi.test:8888/tests/robocop/robocop_input.html:21:7
08:23:28     INFO -  08-06 08:20:05.484 D/GeckoTabs( 1281): handleMessage: DOMContentLoaded
08:23:28     INFO -  08-06 08:20:05.504 D/GeckoToolbar( 1281): onTabChanged: LOADED
08:23:28     INFO -  08-06 08:20:05.514 D/GeckoBrowserApp( 1281): BrowserApp.onTabChanged: 0: LOADED
08:23:28     INFO -  08-06 08:20:07.316 D/GeckoTabs( 1281): handleMessage: Content:PageShow
08:23:28     INFO -  08-06 08:20:07.534 D/GeckoToolbar( 1281): onTabChanged: PAGE_SHOW
08:23:28     INFO -  08-06 08:20:07.534 D/GeckoBrowserApp( 1281): BrowserApp.onTabChanged: 0: PAGE_SHOW
08:23:28     INFO -  08-06 08:20:08.774 D/GeckoTabs( 1281): handleMessage: Content:StateChange
08:23:28     INFO -  08-06 08:20:09.404 D/GeckoToolbar( 1281): onTabChanged: STOP
08:23:28     INFO -  08-06 08:20:09.404 I/GeckoToolbarDisplayLayout( 1281): zerdatime 1087557 - Throbber stop
08:23:28     INFO -  08-06 08:20:09.545 D/GeckoBrowserApp( 1281): BrowserApp.onTabChanged: 0: STOP
Many failed runs, including comment 28, contain:

JavaScript Error: "NS_ERROR_ILLEGAL_VALUE: " {file: "http://mochi.test:8888/tests/robocop/robocop_input.html" line: 21}]

which does not appear in logcats for successful runs.

That line seems to be:

      designMode.contentDocument.designMode = "on";

If we cannot set designMode, I suppose the rest of the test is not going to run well.

:jchen -- Thoughts?
Flags: needinfo?(nchen)
(Assignee)

Comment 30

2 years ago
Sounds right, but not sure why setting designMode would fail some of the time.
Flags: needinfo?(nchen)

Comment 31

2 years ago
28 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 12
* mozilla-inbound: 8
* mozilla-central: 4
* fx-team: 4

Platform breakdown:
* android-4-3-armv7-api15: 28

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-08-15&endday=2016-08-21&tree=all

Comment 32

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 3
* mozilla-inbound: 2
* try: 1
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api15: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-08-22&endday=2016-08-28&tree=all

Comment 33

2 years ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3

Comment 34

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* autoland: 2
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* android-4-3-armv7-api15: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-08-29&endday=2016-09-04&tree=all

Comment 35

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* autoland: 2
* mozilla-aurora: 1

Platform breakdown:
* android-4-3-armv7-api15: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-09-05&endday=2016-09-11&tree=all

Comment 36

2 years ago
41 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 21
* autoland: 8
* mozilla-central: 5
* mozilla-aurora: 3
* fx-team: 3
* try: 1

Platform breakdown:
* android-4-3-armv7-api15: 41

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-09-12&endday=2016-09-18&tree=all

Comment 37

2 years ago
24 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 8
* mozilla-central: 6
* autoland: 6
* try: 2
* fx-team: 2

Platform breakdown:
* android-4-3-armv7-api15: 24

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-09-19&endday=2016-09-25&tree=all

Comment 38

2 years ago
36 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 11
* autoland: 9
* try: 8
* mozilla-central: 4
* fx-team: 3
* mozilla-aurora: 1

Platform breakdown:
* android-4-3-armv7-api15: 36

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-09-26&endday=2016-10-02&tree=all

Comment 39

2 years ago
18 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 9
* autoland: 4
* mozilla-central: 2
* fx-team: 2
* try: 1

Platform breakdown:
* android-4-3-armv7-api15: 18

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-10-04&endday=2016-10-04&tree=all

Comment 40

2 years ago
18 automation job failures were associated with this bug yesterday.

Repository breakdown:
* try: 7
* mozilla-inbound: 4
* autoland: 4
* mozilla-central: 2
* fx-team: 1

Platform breakdown:
* android-4-3-armv7-api15: 18

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-10-05&endday=2016-10-05&tree=all

Comment 41

2 years ago
62 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 24
* autoland: 13
* try: 11
* mozilla-central: 7
* fx-team: 7

Platform breakdown:
* android-4-3-armv7-api15: 62

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-10-03&endday=2016-10-09&tree=all

Comment 42

2 years ago
16 automation job failures were associated with this bug yesterday.

Repository breakdown:
* mozilla-inbound: 6
* autoland: 5
* mozilla-central: 2
* try: 1
* mozilla-aurora: 1
* fx-team: 1

Platform breakdown:
* android-4-3-armv7-api15: 16

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-10-14&endday=2016-10-14&tree=all

Comment 43

2 years ago
51 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 21
* autoland: 14
* mozilla-central: 7
* fx-team: 4
* try: 3
* mozilla-aurora: 2

Platform breakdown:
* android-4-3-armv7-api15: 51

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-10-10&endday=2016-10-16&tree=all

Comment 44

2 years ago
46 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 14
* mozilla-central: 10
* autoland: 10
* try: 6
* fx-team: 6

Platform breakdown:
* android-4-3-armv7-api15: 46

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-10-17&endday=2016-10-23&tree=all

Comment 45

2 years ago
56 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 17
* autoland: 17
* mozilla-central: 11
* fx-team: 8
* try: 3

Platform breakdown:
* android-4-3-armv7-api15: 55
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-10-24&endday=2016-10-30&tree=all

Comment 46

2 years ago
36 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 13
* autoland: 9
* mozilla-central: 8
* try: 5
* mozilla-aurora: 1

Platform breakdown:
* android-4-3-armv7-api15: 35
* windowsxp: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-10-31&endday=2016-11-06&tree=all

Comment 47

2 years ago
25 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 11
* autoland: 9
* mozilla-central: 3
* try: 2

Platform breakdown:
* android-4-3-armv7-api15: 25

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-11-07&endday=2016-11-13&tree=all

Comment 48

2 years ago
26 failures in 715 pushes (0.036 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 12
* mozilla-inbound: 6
* mozilla-beta: 4
* mozilla-central: 3
* try: 1

Platform breakdown:
* android-4-3-armv7-api15: 26

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-11-14&endday=2016-11-20&tree=all

Comment 49

2 years ago
16 failures in 623 pushes (0.026 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 8
* mozilla-inbound: 5
* mozilla-central: 1
* mozilla-beta: 1
* mozilla-aurora: 1

Platform breakdown:
* android-4-3-armv7-api15: 16

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-11-21&endday=2016-11-27&tree=all

Comment 50

2 years ago
21 failures in 694 pushes (0.03 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 6
* mozilla-inbound: 5
* mozilla-central: 5
* mozilla-beta: 3
* try: 1
* mozilla-aurora: 1

Platform breakdown:
* android-4-3-armv7-api15: 21

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-11-28&endday=2016-12-04&tree=all

Comment 51

2 years ago
11 failures in 289 pushes (0.038 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 4
* mozilla-beta: 3
* autoland: 2
* try: 1
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api15: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-12-05&endday=2016-12-11&tree=all

Comment 52

2 years ago
8 failures in 526 pushes (0.015 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 3
* autoland: 3
* try: 1
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api15: 8

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-12-12&endday=2016-12-18&tree=all

Comment 53

2 years ago
6 failures in 609 pushes (0.01 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 3
* mozilla-inbound: 1
* mozilla-central: 1
* mozilla-beta: 1

Platform breakdown:
* android-4-3-armv7-api15: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1257366&startday=2016-12-19&endday=2016-12-25&tree=all
Created attachment 8838794 [details] [diff] [review]
Try setting designMode again (v1)

I was running into this in some local runs. If the first set designMode call
fails, schedule another call for a later time so it hopefully succeeds.
Attachment #8838794 - Flags: review?(gbrown)
Attachment #8838794 - Flags: review?(gbrown) → review+

Comment 55

a year ago
Pushed by nchen@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/bb5d3a227ee8
Try setting designMode again; r=gbrown

Comment 56

a year ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/bb5d3a227ee8
Status: NEW → RESOLVED
Last Resolved: a year ago
status-firefox54: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → Firefox 54
Assignee: nobody → nchen
status-firefox48: affected → ---
status-firefox51: --- → wontfix
status-firefox52: --- → affected
status-firefox53: --- → affected

Comment 57

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-aurora/rev/716903f2bac8
status-firefox53: affected → fixed
Flags: in-testsuite+

Comment 58

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/98f9ac8d9605
status-firefox52: affected → fixed

Comment 59

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-esr52/rev/98f9ac8d9605
status-firefox-esr52: --- → fixed
You need to log in before you can comment on or make changes to this bug.